;GIL-3
(
(
	:type                   :menu
	:name                   query_stack
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Command Stack"
	:menu-item-labels       ("Command 1" "Command 2" "Command 3" "Command 4" "Command 5" )
	:menu-item-label-types  (:string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active )
	:menu-item-defaults     (t nil nil nil nil )
	:initial-selections     (nil nil nil nil nil )
	:menu-item-handlers     (command_stack_print command_stack_print command_stack_print command_stack_print command_stack_print )
	:menu-item-menus        (nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (query_stack "Command 1")
		:when                   (Notify )
		:to                     (query_stack "Command 1")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_stack_print)
		)
		(
		:from                   (query_stack "Command 2")
		:when                   (Notify )
		:to                     (query_stack "Command 2")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_stack_print)
		)
		(
		:from                   (query_stack "Command 3")
		:when                   (Notify )
		:to                     (query_stack "Command 3")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_stack_print)
		)
		(
		:from                   (query_stack "Command 4")
		:when                   (Notify )
		:to                     (query_stack "Command 4")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_stack_print)
		)
		(
		:from                   (query_stack "Command 5")
		:when                   (Notify )
		:to                     (query_stack "Command 5")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_stack_print)
		)
	)
)
(
	:type                   :base-window
	:name                   window1
	:owner                  nil
	:width                  692
	:height                 510
	:background-color       ""
	:foreground-color       ""
	:label                  "Postgres GLI Alberi"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              "albericons/alberi.ico"
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          close_inform
	:user-data              ()
	:actions                (
		(
		:from                   (window1)
		:when                   (AnyEvent )
		:to                     (window1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (close_inform)
		)
	)
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      0
	:width                  692
	:height                 96
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   quit_button
	:owner                  controls2
	:help                   ""
	:x                      18
	:y                      12
	:width                  45
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Quit"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         quit
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 quit_button)
		:when                   (Notify )
		:to                     (window1 quit_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (quit)
		)
	)
)
(
	:type                   :button
	:name                   font_button
	:owner                  controls2
	:help                   ""
	:x                      132
	:y                      12
	:width                  45
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Font"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         font_settings
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 font_button)
		:when                   (Notify )
		:to                     (window1 font_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (font_settings)
		)
	)
)
(
	:type                   :button
	:name                   preferences_button
	:owner                  controls2
	:help                   ""
	:x                      190
	:y                      12
	:width                  89
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Preferences"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         pref_settings
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 preferences_button)
		:when                   (Notify )
		:to                     (window1 preferences_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (pref_settings)
		)
	)
)
(
	:type                   :button
	:name                   host_button
	:owner                  controls2
	:help                   ""
	:x                      294
	:y                      12
	:width                  45
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Host"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         host_selection
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 host_button)
		:when                   (Notify )
		:to                     (window1 host_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (host_selection)
		)
	)
)
(
	:type                   :button
	:name                   createdb_button
	:owner                  controls2
	:help                   ""
	:x                      350
	:y                      12
	:width                  74
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Createdb"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         create_database
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 createdb_button)
		:when                   (Notify )
		:to                     (window1 createdb_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (create_database)
		)
	)
)
(
	:type                   :button
	:name                   destroydb_button
	:owner                  controls2
	:help                   ""
	:x                      440
	:y                      12
	:width                  80
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Destroydb"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         destroy_database
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 destroydb_button)
		:when                   (Notify )
		:to                     (window1 destroydb_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (destroy_database)
		)
	)
)
(
	:type                   :button
	:name                   database_button
	:owner                  controls2
	:help                   ""
	:x                      532
	:y                      12
	:width                  74
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Database"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         database_name_change_proc
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 database_button)
		:when                   (Notify )
		:to                     (window1 database_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (database_name_change_proc)
		)
	)
)
(
	:type                   :button
	:name                   schema_button1
	:owner                  controls2
	:help                   ""
	:x                      616
	:y                      12
	:width                  65
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Schema"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         schema_br_proc
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 schema_button1)
		:when                   (Notify )
		:to                     (window1 schema_button1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (schema_br_proc)
		)
	)
)
(
	:type                   :message
	:name                   message2
	:owner                  controls2
	:help                   ""
	:x                      204
	:y                      56
	:width                  195
	:height                 13
	:foreground-color       ""
	:label                  "QUERY/COMMAND RESULTS "
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-pane
	:name                   textpane3
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      86
	:width                  692
	:height                 274
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:read-only              t
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   title2_panel
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      360
	:width                  336
	:height                 44
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message1
	:owner                  title2_panel
	:help                   ""
	:x                      86
	:y                      28
	:width                  228
	:height                 13
	:foreground-color       ""
	:label                  "POSTQUEL COMMAND INTERFACE"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   title1_panel
	:owner                  window1
	:help                   ""
	:x                      3
	:y                      360
	:width                  669
	:height                 44
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   clear_button
	:owner                  title1_panel
	:help                   ""
	:x                      6
	:y                      6
	:width                  50
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clear"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         clear_window
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 clear_button)
		:when                   (Notify )
		:to                     (window1 clear_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clear_window)
		)
	)
)
(
	:type                   :button
	:name                   load_button
	:owner                  title1_panel
	:help                   ""
	:x                      70
	:y                      6
	:width                  70
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Load file"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         load_object_file
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 load_button)
		:when                   (Notify )
		:to                     (window1 load_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (load_object_file)
		)
	)
)
(
	:type                   :button
	:name                   insert_button
	:owner                  title1_panel
	:help                   ""
	:x                      148
	:y                      6
	:width                  77
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Insert file"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         insert_text_file
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 insert_button)
		:when                   (Notify )
		:to                     (window1 insert_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (insert_text_file)
		)
	)
)
(
	:type                   :button
	:name                   vacuum_button
	:owner                  title1_panel
	:help                   ""
	:x                      234
	:y                      6
	:width                  67
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Vacuum"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         vacuum_database
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 vacuum_button)
		:when                   (Notify )
		:to                     (window1 vacuum_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (vacuum_database)
		)
	)
)
(
	:type                   :button
	:name                   begin_button
	:owner                  title1_panel
	:help                   ""
	:x                      312
	:y                      6
	:width                  51
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Begin"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         begin_transaction
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 begin_button)
		:when                   (Notify )
		:to                     (window1 begin_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (begin_transaction)
		)
	)
)
(
	:type                   :button
	:name                   end_button
	:owner                  title1_panel
	:help                   ""
	:x                      372
	:y                      6
	:width                  41
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "End"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         end_transaction
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 end_button)
		:when                   (Notify )
		:to                     (window1 end_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (end_transaction)
		)
	)
)
(
	:type                   :button
	:name                   abort_button
	:owner                  title1_panel
	:help                   ""
	:x                      420
	:y                      6
	:width                  51
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Abort"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         abort_transaction
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 abort_button)
		:when                   (Notify )
		:to                     (window1 abort_button)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (abort_transaction)
		)
	)
)
(
	:type                   :button
	:name                   query_button
	:owner                  title1_panel
	:help                   ""
	:x                      482
	:y                      6
	:width                  131
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Command Stack"
	:label-type             :string
	:initial-state          :active
	:menu                   query_stack
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   button1
	:owner                  title1_panel
	:help                   ""
	:x                      620
	:y                      6
	:width                  38
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Log"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         command_log
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 button1)
		:when                   (Notify )
		:to                     (window1 button1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (command_log)
		)
	)
)
(
	:type                   :message
	:name                   message3
	:owner                  title1_panel
	:help                   ""
	:x                      180
	:y                      30
	:width                  282
	:height                 13
	:foreground-color       ""
	:label                  "DIRECT POSTQUEL COMMAND INTERFACE"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-pane
	:name                   textpane1
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      404
	:width                  692
	:height                 106
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:read-only              nil
	:event-handler          query_processing
	:user-data              ()
	:actions                (
		(
		:from                   (window1 textpane1)
		:when                   (AnyEvent )
		:to                     (window1 textpane1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (query_processing)
		)
	)
)
)
